#include <gint/keyboard.h>
#include <gint/gray.h>
#include <gint/gint.h>
#include <gint/bfile.h>

void takeVRAMCapture()
{
	uint32_t* light;
	uint32_t* dark;

	uint16_t* pathLight = u"\\\\fls0\\light.vram";
	uint16_t* pathDark = u"\\\\fls0\\dark.vram";
	int descriptor;
	int size = 1024;

	dgray_getvram(&light, &dark);

	BFile_Remove(pathLight);
	BFile_Create(pathLight, BFile_File, &size);

	BFile_Remove(pathDark);
	BFile_Create(pathDark, BFile_File, &size);

	descriptor = BFile_Open(pathLight, BFile_WriteOnly);
	BFile_Write(descriptor, light, size);
	BFile_Close(descriptor);

	descriptor = BFile_Open(pathDark, BFile_WriteOnly);
	BFile_Write(descriptor, dark, size);
	BFile_Close(descriptor);
}

int main(void)
{
	extern bopti_image_t img_player;

	dgray(DGRAY_ON);
	dclear(C_WHITE);
	dtext(1, 1, C_BLACK, "Sample fxSDK add-in.");
	dimage(64, 32, &img_player);
	//gint_switch(&takeVRAMCapture);
	dupdate();

	getkey();
	return 1;
}
